Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class X509ExtensionsGenerator

    java.lang.Object
      org.bouncycastle.asn1.x509.X509ExtensionsGenerator

Deprecated. use org.bouncycastle.asn1.x509.ExtensionsGenerator

public class X509ExtensionsGenerator
extends java.lang.Object

Generator for X.509 extensions

Constructor Summary
`X509ExtensionsGenerator()` Deprecated.

Method Summary
`void` | `addExtension(ASN1ObjectIdentifier oid, boolean critical, ASN1Encodable value)` Deprecated. Add an extension with the given oid and the passed in value to be included in the OCTET STRING associated with the extension.
`void` | `addExtension(ASN1ObjectIdentifier oid, boolean critical, byte[] value)` Deprecated. Add an extension with the given oid and the passed in byte array to be wrapped in the OCTET STRING associated with the extension.
`X509Extensions` | `generate()` Deprecated. Generate an X509Extensions object based on the current state of the generator.
`boolean` | `isEmpty()` Deprecated. Return true if there are no extension present in this generator.
`void` | `reset()` Deprecated. Reset the generator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509ExtensionsGenerator

    public X509ExtensionsGenerator()

  Deprecated.

Method Detail

### reset

    public void reset()

  Deprecated.
  Reset the generator

### addExtension

    public void addExtension(ASN1ObjectIdentifier oid,
                             boolean critical,
                             ASN1Encodable value)

  Deprecated.
  Add an extension with the given oid and the passed in value to be included in the OCTET STRING associated with the extension.

  Parameters:
    `oid` - OID for the extension.
    `critical` - true if critical, false otherwise.
    `value` - the ASN.1 object to be included in the extension.

### addExtension

    public void addExtension(ASN1ObjectIdentifier oid,
                             boolean critical,
                             byte[] value)

  Deprecated.
  Add an extension with the given oid and the passed in byte array to be wrapped in the OCTET STRING associated with the extension.

  Parameters:
    `oid` - OID for the extension.
    `critical` - true if critical, false otherwise.
    `value` - the byte array to be wrapped.

### isEmpty

    public boolean isEmpty()

  Deprecated.
  Return true if there are no extension present in this generator.

  Returns:
    true if empty, false otherwise

### generate

    public X509Extensions generate()

  Deprecated.
  Generate an X509Extensions object based on the current state of the generator.

  Returns:
    an X09Extensions object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD